Subject: Re: bug#54591: 29.0.50; sqlite-select returns blob result as multibyte string

From: Yuan Fu <[email-masked]>
Date: Thu, 28 Apr 2022 21:59:21 -0700

> On Mar 31, 2022, at 4:54 AM, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Eli Zaretskii <[email-masked]> writes:
> 
>> Can we place the burden of knowing the type of the column on the
>> caller?  I mean, if they know it's a binary blob, they should tell us,
>> and then we don't decode it?
> 
> We could -- that was my last example:
> 
>>> "insert into test7 values (?, ?)" ["foo" (:binary binary)]
> 
> Or some syntax like that.  (And then never decode when we select from a
> BLOB column.)  But...
> 
>> (Of course, if there's a way of knowing the type, we could DTRT
>> automatically for each type.)
> 
> Yes, I'm hoping somebody else could have a look at the sqlite
> documentation and tell me I'm missing some obvious way to get that
> information.  :-)

I had a quick look at the log and didn’t see anything related to sql. So what do we end up doing? I think at least a notice could be added to the manual? Something like “Use (encode-coding-string xxx 'raw-text)) if you want to get out a binary blob”.

Yuan